# sdd

~~~ cs
 
//Exemplo de composição

public class NotaFiscal : Iexemplo{
    Ilist<ItemNotaFiscal> Itens{ }
    NotaFiscal(){
    //Cria nova lista
    Itens = new List<ItemNotaFiscal>();
}
void dispose(){
    foreach(var item in Itens){
    item.Dispose();
}
}
}

public class ItemNotaFiscal : Iexemplo{ }

//Exemplo de agregação

public class time{
    Ilist<Pessoa> Integrantes{  }
}
public class Pessoa{  }

~~